class CreateSpeeches < ActiveRecord::Migration
  def change
    create_table :speeches do |t|
      t.integer :speech_balloon_id, :null => false
      t.text :content
      t.integer :x, :null => false
      t.integer :y, :null => false
      t.integer :width, :null => false
      t.integer :height, :null => false
      t.text :settings

      t.timestamps
    end
    add_index :speeches, [:speech_balloon_id]
  end
end
